import Vue from "vue";
import VueRouter from "vue-router";
Vue.use(VueRouter);
let routes = [
  { path: '/', redirect: '/ComponentsView' },
  {
    path: '/loginView',
    name: 'LoginView',
    component: ()=> import('@/views/LoginView.vue'),
  },
  {
    path: "/componentsView", // 概览首页
    name: "ComponentsView",
    component: () => import("@/views/ComponentsView.vue"),
    // redirect: "/componentsView",
    // children: [
    //   {
    //     path: "/homeView",
    //     name: "homeView",
    //     component: () => import("@/views/homeView.vue"),
    //   },
    // ],
  },
  {
    path: "/mapView", // 概览首页
    name: "MapView",
    component: () => import("@/views/MapView.vue"),
  },
];
const createRouter = () =>
  new VueRouter({
    // mode: 'history', // require service support
    // base: process.env.BASE_URL,
    scrollBehavior: () => ({ y: 0 }),
    routes,
  });

const router = createRouter();

// 路由导航守卫
// router.beforeEach((to, from, next) => {
//   // 如果访问的是登录页，则放行
//   if (to.path === '/loginView') {
//     return next()
//   }
//   // 如果访问的不是登录页
//   // 如果没有token则强制跳转到登录页
//   // 如果有token则放行
//   const token = window.sessionStorage.getItem('token')
//   if (!token) {
//     return next('/loginView')
//   }
//   next()
// })

export default router;
