import request from '@/utils/request';

export default {
  login(data) {
    return request({
      url: '/account/login',
      method: 'post',
      data
    })
  },
  checkToken(data) {
    return request({
      url: '/account/checkToken',
      method: 'post',
      data
    })
  },
   // 获取验证码
   getCode() {
    return request({
      url: '/api/account/getCode',
      method: 'get',
      responseType: "blob",
    })
  },
  logout(params) {
    return request({
      url: '/api/account/logout',
      method: 'post',
      params
    })
  },
}