import * as echarts from 'echarts'
export const monthLabel = ['1月', '2月', '3月', '4月', '5月', '6月', '7月', '8月', '9月', '10月', '11月', '12月']
export const monthData = ['20', '40', '30', '70', '60', '50', '10', '10', '10', '10', '15', '55' ]
export const pieData = [
    { value: 873, name: '住宅区',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        // 1, 1, 0, 0,  //(左上-右下 渐变)
        // 1, 0, 0, 0,  //(左-右 渐变)
        // 0, 1, 1, 0,  //(右上-左下 渐变)
        // 0, 1, 1, 1,  //(左-右 渐变)
        // 1, 0, 1, 1,  //(上-下 渐变)
        // 0, 0, 1, 0,  //(左-右 渐变)
        // 0, 0, 0, 1,  //(上-下 渐变)
        [
            {offset: 1, color: '#2B7AD9'}, 
            {offset:1, color: '#79B6FF'},
        ]
    )}},
    { value: 678, name: '商业区',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        [
            {offset: 1, color: '#FF8A00'}, 
            {offset:1, color: '#FFBE71'},
        ]
    )}},
    { value: 583, name: '工业区',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        [
            {offset: 1, color: '#8DC140'}, 
            {offset:1, color: '#B1DF6E'},
        ]
    )
    }
    },
    { value: 917, name: '产业区',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        [
            {offset: 1, color: '#65FFFC'}, 
            {offset: 0.5, color: '#45E0DD'},
            {offset:1, color: '#239290'},
        ]
    )}},
]
export const companyPieData = [
    { value: 873, name: '电子及通信设备制造业',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        // 1, 1, 0, 0,  //(左上-右下 渐变)
        // 1, 0, 0, 0,  //(左-右 渐变)
        // 0, 1, 1, 0,  //(右上-左下 渐变)
        // 0, 1, 1, 1,  //(左-右 渐变)
        // 1, 0, 1, 1,  //(上-下 渐变)
        // 0, 0, 1, 0,  //(左-右 渐变)
        // 0, 0, 0, 1,  //(上-下 渐变)
        [
            {offset: 1, color: '#2B7AD9'}, 
            {offset:1, color: '#79B6FF'},
        ]
    )}},
    { value: 678, name: '专用设备制造业',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        [
            {offset: 1, color: '#FF8A00'}, 
            {offset:1, color: '#FFBE71'},
        ]
    )}},
    { value: 583, name: '电器机械及器材制造业',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        [
            {offset: 1, color: '#8DC140'}, 
            {offset:1, color: '#B1DF6E'},
        ]
    )
    }
    },
    { value: 917, name: '医药制造业',itemStyle: {color:new echarts.graphic.LinearGradient(
        1, 1, 1, 0,  //(上-下 渐变)
        [
            {offset: 1, color: '#65FFFC'}, 
            {offset: 0.5, color: '#45E0DD'},
            {offset:1, color: '#239290'},
        ]
    )}},
]
export const emissionsLabel = ['建材生产和运输', '建筑施工、废弃拆除', '运营维护']
export const emissionsData = ['40', '80', '25']