import Vue from "vue";
import App from "./App.vue";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import router from "./router";
import {} from "@/components/index";
import globalVue from "@/components/index.js";

Vue.config.productionTip = false;

Vue.use(ElementUI);
Vue.use(globalVue);

new Vue({
  router,
  render: (h) => h(App),
}).$mount("#app");
